Package org.apache.storm.metrics2.reporters

## Class ConsoleStormReporter

- java.lang.Object
- - org.apache.storm.metrics2.reporters.ScheduledStormReporter
  - - org.apache.storm.metrics2.reporters.ConsoleStormReporter

- All Implemented Interfaces:
    `com.codahale.metrics.Reporter`, `Closeable`, `AutoCloseable`, `DimensionalReporter.DimensionHandler`, `StormReporter`

      public class ConsoleStormReporter
      extends ScheduledStormReporter
      implements DimensionalReporter.DimensionHandler

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `reporter, reportingPeriod, reportingPeriodUnit`

    - ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConsoleStormReporter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `prepare​(com.codahale.metrics.MetricRegistry registry, Map<String,​Object> topoConf, Map<String,​Object> reporterConf)` |
    `void` | `prepare​(MetricRegistryProvider metricRegistryProvider, Map<String,​Object> topoConf, Map<String,​Object> reporterConf)` |
    `void` | `setDimensions​(Map<String,​String> dimensions)` | Sets dimensions to be used for reporting on the next batch of metrics.

    - ### Methods inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `getMetricsFilter, getReportPeriod, getReportPeriodUnit, isReportDimensionsEnabled, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsoleStormReporter

          public ConsoleStormReporter()

  - ### Method Detail

    - #### prepare

          public void prepare​(com.codahale.metrics.MetricRegistry registry,
                              Map<String,​Object> topoConf,
                              Map<String,​Object> reporterConf)

      Specified by:
        `prepare` in interface `StormReporter`

    - #### prepare

          public void prepare​(MetricRegistryProvider metricRegistryProvider,
                              Map<String,​Object> topoConf,
                              Map<String,​Object> reporterConf)

      Specified by:
        `prepare` in interface `StormReporter`

    - #### setDimensions

          public void setDimensions​(Map<String,​String> dimensions)

      Description copied from interface: `DimensionalReporter.DimensionHandler`
      Sets dimensions to be used for reporting on the next batch of metrics.
      Specified by:
        `setDimensions` in interface `DimensionalReporter.DimensionHandler`
      Parameters:
        `dimensions` - dimensions valid for use in the next scheduled report.

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `ScheduledStormReporter`
      Throws:
        `IOException`